commit:     35135c2e2ce994f2659e0578abcca824e2242a3c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May 10 16:40:42 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May 10 16:48:58 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35135c2e

dev-python/fields: EAPI 8, PEP517

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/fields/fields-5.0.0-r3.ebuild | 42 ++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/dev-python/fields/fields-5.0.0-r3.ebuild 
b/dev-python/fields/fields-5.0.0-r3.ebuild
new file mode 100644
index 000000000000..d3bf8505d526
--- /dev/null
+++ b/dev-python/fields/fields-5.0.0-r3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Container class boilerplate killer"
+HOMEPAGE="
+       https://github.com/ionelmc/python-fields/
+       https://pypi.org/project/fields/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+BDEPEND="
+       test? (
+               dev-python/attrs[${PYTHON_USEDEP}]
+               dev-python/characteristic[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       sed -r \
+               -e "/--benchmark-disable/d" \
+               -e 's|\[pytest\]|\[tool:pytest\]|' \
+               -i setup.cfg || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       epytest --ignore tests/test_perf.py tests
+}

Reply via email to